class MariaDbGrammar extends MySqlGrammar (View source)
| CompilesJsonPaths | |
| Macroable |
| static protected array | $macros | The registered string macros. | from Macroable |
| protected Connection | $connection | The connection used for escaping values. | from Grammar |
| protected string | $tablePrefix | The grammar table prefix. | from Grammar |
| protected string[] | $modifiers | The possible column modifiers. | from MySqlGrammar |
| protected bool | $transactions | If this Grammar supports schema changes wrapped in a transaction. | from Grammar |
| protected string[] | $fluentCommands | The commands to be executed outside of create or alter command. | from MySqlGrammar |
| protected string[] | $serials | The possible column serials. | from MySqlGrammar |
| static void | macro(string $name, object|callable $macro)
Register a custom macro. | from Macroable |
| static void | mixin(object $mixin, bool $replace = true)
Mix another object into the class. | from Macroable |
| static bool | hasMacro(string $name)
Checks if macro is registered. | from Macroable |
| static void | flushMacros()
Flush the existing macros. | from Macroable |
| static mixed | __callStatic(string $method, array $parameters)
Dynamically handle calls to the class. | from Macroable |
| mixed | __call(string $method, array $parameters)
Dynamically handle calls to the class. | from Macroable |
| array | wrapArray(array $values)
Wrap an array of values. | from Grammar |
| string | wrapTable(Expression|string $table)
Wrap a table in keyword identifiers. | from Grammar |
| string | wrap(Expression|string $value, bool $prefixAlias = false)
Wrap a value in keyword identifiers. | from Grammar |
| string | wrapAliasedValue(string $value)
Wrap a value that has an alias. | from Grammar |
| string | wrapAliasedTable(string $value)
Wrap a table that has an alias. | from Grammar |
| string | wrapSegments(array $segments)
Wrap the given value segments. | from Grammar |
| string | wrapValue(string $value)
Wrap a single string in keyword identifiers. | from MySqlGrammar |
| string | wrapJsonSelector(string $value)
Wrap the given JSON selector. | from MySqlGrammar |
| bool | isJsonSelector(string $value)
Determine if the given string is a JSON selector. | from Grammar |
| string | columnize(array $columns)
Convert an array of column names into a delimited string. | from Grammar |
| string | parameterize(array $values)
Create query parameter place-holders for an array. | from Grammar |
| string | parameter(mixed $value)
Get the appropriate query parameter place-holder for a value. | from Grammar |
| string | quoteString(string|array $value)
Quote the given string literal. | from Grammar |
| string | escape(string|float|int|bool|null $value, bool $binary = false)
Escapes a value for safe SQL embedding. | from Grammar |
| bool | isExpression(mixed $value)
Determine if the given value is a raw expression. | from Grammar |
| string|int|float | getValue(Expression|string|int|float $expression)
Transforms expressions to their scalar types. | from Grammar |
| string | getDateFormat()
Get the format for database stored dates. | from Grammar |
| string | getTablePrefix()
Get the grammar's table prefix. | from Grammar |
| $this | setTablePrefix(string $prefix)
Set the grammar's table prefix. | from Grammar |
| $this | setConnection(Connection $connection)
Set the grammar's database connection. | from Grammar |
| array | wrapJsonFieldAndPath(string $column)
Split the given JSON selector into the field and the optional path and wrap them separately. | from CompilesJsonPaths |
| string | wrapJsonPath(string $value, string $delimiter = '->')
Wrap the given JSON path. | from CompilesJsonPaths |
| string | wrapJsonPathSegment(string $segment)
Wrap the given JSON path segment. | from CompilesJsonPaths |
| void | compileCreateDatabase(string $name, Connection $connection)
Compile a create database command. | from MySqlGrammar |
| void | compileDropDatabaseIfExists(string $name)
Compile a drop database if exists command. | from MySqlGrammar |
| array|string | compileRenameColumn(Blueprint $blueprint, Fluent $command, Connection $connection)
Compile a rename column command. | |
| array|string | compileChange(Blueprint $blueprint, Fluent $command, Connection $connection)
Compile a change column command into a series of SQL statements. | from MySqlGrammar |
| string | compileFulltext(Blueprint $blueprint, Fluent $command)
Compile a fulltext index key command. | from Grammar |
| string | compileDropFullText(Blueprint $blueprint, Fluent $command)
Compile a drop fulltext index command. | from MySqlGrammar |
| string | compileForeign(Blueprint $blueprint, Fluent $command)
Compile a foreign key command. | from Grammar |
| string | compileDropForeign(Blueprint $blueprint, Fluent $command)
Compile a drop foreign key command. | from MySqlGrammar |
| array | getColumns(Blueprint $blueprint)
Compile the blueprint's added column definitions. | from Grammar |
| string | getColumn(Blueprint $blueprint, ColumnDefinition $column)
Compile the column definition. | from Grammar |
| string | getType(Fluent $column)
Get the SQL for the column data type. | from Grammar |
| void | typeComputed(Fluent $column)
Create the column definition for a generated, computed column type. | from MySqlGrammar |
| string | addModifiers(string $sql, Blueprint $blueprint, Fluent $column)
Add the column modifiers to the definition. | from Grammar |
| Fluent|null | getCommandByName(Blueprint $blueprint, string $name)
Get the command with a given name if it exists on the blueprint. | from Grammar |
| array | getCommandsByName(Blueprint $blueprint, string $name)
Get all of the commands with a given name. | from Grammar |
| hasCommand(Blueprint $blueprint, $name) No description | from Grammar | |
| array | prefixArray(string $prefix, array $values)
Add a prefix to an array of values. | from Grammar |
| string | getDefaultValue(mixed $value)
Format a value so that it can be used in "default" clauses. | from Grammar |
| array | getFluentCommands()
Get the fluent commands for the grammar. | from Grammar |
| bool | supportsSchemaTransactions()
Check if this Grammar supports schema changes wrapped in a transaction. | from Grammar |
| string | compileTables(string $database)
Compile the query to determine the tables. | from MySqlGrammar |
| string | compileViews(string $database)
Compile the query to determine the views. | from MySqlGrammar |
| string | compileColumns(string $database, string $table)
Compile the query to determine the columns. | from MySqlGrammar |
| string | compileIndexes(string $database, string $table)
Compile the query to determine the indexes. | from MySqlGrammar |
| string | compileForeignKeys(string $database, string $table)
Compile the query to determine the foreign keys. | from MySqlGrammar |
| string | compileCreate(Blueprint $blueprint, Fluent $command, Connection $connection)
Compile a create table command. | from MySqlGrammar |
| string | compileCreateTable(Blueprint $blueprint, Fluent $command, Connection $connection)
Create the main create table clause. | from MySqlGrammar |
| string | compileCreateEncoding(string $sql, Connection $connection, Blueprint $blueprint)
Append the character set specifications to a command. | from MySqlGrammar |
| string | compileCreateEngine(string $sql, Connection $connection, Blueprint $blueprint)
Append the engine specifications to a command. | from MySqlGrammar |
| string | compileAdd(Blueprint $blueprint, Fluent $command)
Compile an add column command. | from MySqlGrammar |
| string | compileAutoIncrementStartingValues(Blueprint $blueprint, Fluent $command)
Compile the auto-incrementing column starting values. | from MySqlGrammar |
| string | compileLegacyRenameColumn(Blueprint $blueprint, Fluent $command, Connection $connection)
Compile a rename column command for legacy versions of MySQL. | from MySqlGrammar |
| string | compilePrimary(Blueprint $blueprint, Fluent $command)
Compile a primary key command. | from MySqlGrammar |
| string | compileUnique(Blueprint $blueprint, Fluent $command)
Compile a unique key command. | from MySqlGrammar |
| string | compileIndex(Blueprint $blueprint, Fluent $command)
Compile a plain index key command. | from MySqlGrammar |
| string | compileFullText(Blueprint $blueprint, Fluent $command)
Compile a fulltext index key command. | from MySqlGrammar |
| string | compileSpatialIndex(Blueprint $blueprint, Fluent $command)
Compile a spatial index key command. | from MySqlGrammar |
| string | compileKey(Blueprint $blueprint, Fluent $command, string $type)
Compile an index creation command. | from MySqlGrammar |
| string | compileDrop(Blueprint $blueprint, Fluent $command)
Compile a drop table command. | from MySqlGrammar |
| string | compileDropIfExists(Blueprint $blueprint, Fluent $command)
Compile a drop table (if exists) command. | from MySqlGrammar |
| string | compileDropColumn(Blueprint $blueprint, Fluent $command)
Compile a drop column command. | from MySqlGrammar |
| string | compileDropPrimary(Blueprint $blueprint, Fluent $command)
Compile a drop primary key command. | from MySqlGrammar |
| string | compileDropUnique(Blueprint $blueprint, Fluent $command)
Compile a drop unique key command. | from MySqlGrammar |
| string | compileDropIndex(Blueprint $blueprint, Fluent $command)
Compile a drop index command. | from MySqlGrammar |
| string | compileDropSpatialIndex(Blueprint $blueprint, Fluent $command)
Compile a drop spatial index command. | from MySqlGrammar |
| string | compileRename(Blueprint $blueprint, Fluent $command)
Compile a rename table command. | from MySqlGrammar |
| string | compileRenameIndex(Blueprint $blueprint, Fluent $command)
Compile a rename index command. | from MySqlGrammar |
| string | compileDropAllTables(array $tables)
Compile the SQL needed to drop all tables. | from MySqlGrammar |
| string | compileDropAllViews(array $views)
Compile the SQL needed to drop all views. | from MySqlGrammar |
| string | compileEnableForeignKeyConstraints()
Compile the command to enable foreign key constraints. | from MySqlGrammar |
| string | compileDisableForeignKeyConstraints()
Compile the command to disable foreign key constraints. | from MySqlGrammar |
| string | compileTableComment(Blueprint $blueprint, Fluent $command)
Compile a table comment command. | from MySqlGrammar |
| string | typeChar(Fluent $column)
Create the column definition for a char type. | from MySqlGrammar |
| string | typeString(Fluent $column)
Create the column definition for a string type. | from MySqlGrammar |
| string | typeTinyText(Fluent $column)
Create the column definition for a tiny text type. | from MySqlGrammar |
| string | typeText(Fluent $column)
Create the column definition for a text type. | from MySqlGrammar |
| string | typeMediumText(Fluent $column)
Create the column definition for a medium text type. | from MySqlGrammar |
| string | typeLongText(Fluent $column)
Create the column definition for a long text type. | from MySqlGrammar |
| string | typeBigInteger(Fluent $column)
Create the column definition for a big integer type. | from MySqlGrammar |
| string | typeInteger(Fluent $column)
Create the column definition for an integer type. | from MySqlGrammar |
| string | typeMediumInteger(Fluent $column)
Create the column definition for a medium integer type. | from MySqlGrammar |
| string | typeTinyInteger(Fluent $column)
Create the column definition for a tiny integer type. | from MySqlGrammar |
| string | typeSmallInteger(Fluent $column)
Create the column definition for a small integer type. | from MySqlGrammar |
| string | typeFloat(Fluent $column)
Create the column definition for a float type. | from MySqlGrammar |
| string | typeDouble(Fluent $column)
Create the column definition for a double type. | from MySqlGrammar |
| string | typeDecimal(Fluent $column)
Create the column definition for a decimal type. | from MySqlGrammar |
| string | typeBoolean(Fluent $column)
Create the column definition for a boolean type. | from MySqlGrammar |
| string | typeEnum(Fluent $column)
Create the column definition for an enumeration type. | from MySqlGrammar |
| string | typeSet(Fluent $column)
Create the column definition for a set enumeration type. | from MySqlGrammar |
| string | typeJson(Fluent $column)
Create the column definition for a json type. | from MySqlGrammar |
| string | typeJsonb(Fluent $column)
Create the column definition for a jsonb type. | from MySqlGrammar |
| string | typeDate(Fluent $column)
Create the column definition for a date type. | from MySqlGrammar |
| string | typeDateTime(Fluent $column)
Create the column definition for a date-time type. | from MySqlGrammar |
| string | typeDateTimeTz(Fluent $column)
Create the column definition for a date-time (with time zone) type. | from MySqlGrammar |
| string | typeTime(Fluent $column)
Create the column definition for a time type. | from MySqlGrammar |
| string | typeTimeTz(Fluent $column)
Create the column definition for a time (with time zone) type. | from MySqlGrammar |
| string | typeTimestamp(Fluent $column)
Create the column definition for a timestamp type. | from MySqlGrammar |
| string | typeTimestampTz(Fluent $column)
Create the column definition for a timestamp (with time zone) type. | from MySqlGrammar |
| string | typeYear(Fluent $column)
Create the column definition for a year type. | from MySqlGrammar |
| string | typeBinary(Fluent $column)
Create the column definition for a binary type. | from MySqlGrammar |
| string | typeUuid(Fluent $column)
Create the column definition for a uuid type. | |
| string | typeIpAddress(Fluent $column)
Create the column definition for an IP address type. | from MySqlGrammar |
| string | typeMacAddress(Fluent $column)
Create the column definition for a MAC address type. | from MySqlGrammar |
| string | typeGeometry(Fluent $column)
Create the column definition for a spatial Geometry type. | |
| string | typeGeography(Fluent $column)
Create the column definition for a spatial Geography type. | from MySqlGrammar |
| string|null | modifyVirtualAs(Blueprint $blueprint, Fluent $column)
Get the SQL for a generated virtual column modifier. | from MySqlGrammar |
| string|null | modifyStoredAs(Blueprint $blueprint, Fluent $column)
Get the SQL for a generated stored column modifier. | from MySqlGrammar |
| string|null | modifyUnsigned(Blueprint $blueprint, Fluent $column)
Get the SQL for an unsigned column modifier. | from MySqlGrammar |
| string|null | modifyCharset(Blueprint $blueprint, Fluent $column)
Get the SQL for a character set column modifier. | from MySqlGrammar |
| string|null | modifyCollate(Blueprint $blueprint, Fluent $column)
Get the SQL for a collation column modifier. | from MySqlGrammar |
| string|null | modifyNullable(Blueprint $blueprint, Fluent $column)
Get the SQL for a nullable column modifier. | from MySqlGrammar |
| string|null | modifyInvisible(Blueprint $blueprint, Fluent $column)
Get the SQL for an invisible column modifier. | from MySqlGrammar |
| string|null | modifyDefault(Blueprint $blueprint, Fluent $column)
Get the SQL for a default column modifier. | from MySqlGrammar |
| string|null | modifyOnUpdate(Blueprint $blueprint, Fluent $column)
Get the SQL for an "on update" column modifier. | from MySqlGrammar |
| string|null | modifyIncrement(Blueprint $blueprint, Fluent $column)
Get the SQL for an auto-increment column modifier. | from MySqlGrammar |
| string|null | modifyFirst(Blueprint $blueprint, Fluent $column)
Get the SQL for a "first" column modifier. | from MySqlGrammar |
| string|null | modifyAfter(Blueprint $blueprint, Fluent $column)
Get the SQL for an "after" column modifier. | from MySqlGrammar |
| string|null | modifyComment(Blueprint $blueprint, Fluent $column)
Get the SQL for a "comment" column modifier. | from MySqlGrammar |
Register a custom macro.
Mix another object into the class.
Checks if macro is registered.
Flush the existing macros.
Dynamically handle calls to the class.
Dynamically handle calls to the class.
Wrap an array of values.
Wrap a table in keyword identifiers.
Wrap a value in keyword identifiers.
Wrap a value that has an alias.
Wrap a table that has an alias.
Wrap the given value segments.
Wrap a single string in keyword identifiers.
Wrap the given JSON selector.
Determine if the given string is a JSON selector.
Convert an array of column names into a delimited string.
Create query parameter place-holders for an array.
Get the appropriate query parameter place-holder for a value.
Quote the given string literal.
Escapes a value for safe SQL embedding.
Determine if the given value is a raw expression.
Transforms expressions to their scalar types.
Get the format for database stored dates.
Get the grammar's table prefix.
Set the grammar's table prefix.
Set the grammar's database connection.
Split the given JSON selector into the field and the optional path and wrap them separately.
Wrap the given JSON path.
Wrap the given JSON path segment.
Compile a create database command.
Compile a drop database if exists command.
Compile a rename column command.
Compile a change column command into a series of SQL statements.
Compile a drop fulltext index command.
Compile a drop foreign key command.
Compile the blueprint's added column definitions.
Compile the column definition.
Get the SQL for the column data type.
Create the column definition for a generated, computed column type.
Add the column modifiers to the definition.
Get the command with a given name if it exists on the blueprint.
Get all of the commands with a given name.
No description
Add a prefix to an array of values.
Format a value so that it can be used in "default" clauses.
Get the fluent commands for the grammar.
Check if this Grammar supports schema changes wrapped in a transaction.
Compile the query to determine the tables.
Compile the query to determine the views.
Compile the query to determine the columns.
Compile the query to determine the indexes.
Compile the query to determine the foreign keys.
Compile a create table command.
Create the main create table clause.
Append the character set specifications to a command.
Append the engine specifications to a command.
Compile the auto-incrementing column starting values.
Compile a rename column command for legacy versions of MySQL.
Compile a spatial index key command.
Compile an index creation command.
Compile a drop table (if exists) command.
Compile a drop primary key command.
Compile a drop spatial index command.
Compile the SQL needed to drop all tables.
Compile the SQL needed to drop all views.
Compile the command to enable foreign key constraints.
Compile the command to disable foreign key constraints.
Create the column definition for a char type.
Create the column definition for a string type.
Create the column definition for a tiny text type.
Create the column definition for a text type.
Create the column definition for a medium text type.
Create the column definition for a long text type.
Create the column definition for a big integer type.
Create the column definition for an integer type.
Create the column definition for a medium integer type.
Create the column definition for a tiny integer type.
Create the column definition for a small integer type.
Create the column definition for a float type.
Create the column definition for a double type.
Create the column definition for a decimal type.
Create the column definition for a boolean type.
Create the column definition for an enumeration type.
Create the column definition for a set enumeration type.
Create the column definition for a json type.
Create the column definition for a jsonb type.
Create the column definition for a date type.
Create the column definition for a date-time type.
Create the column definition for a date-time (with time zone) type.
Create the column definition for a time type.
Create the column definition for a time (with time zone) type.
Create the column definition for a timestamp type.
Create the column definition for a timestamp (with time zone) type.
Create the column definition for a year type.
Create the column definition for a binary type.
Create the column definition for a uuid type.
Create the column definition for an IP address type.
Create the column definition for a MAC address type.
Create the column definition for a spatial Geometry type.
Create the column definition for a spatial Geography type.
Get the SQL for a generated virtual column modifier.
Get the SQL for a generated stored column modifier.
Get the SQL for an unsigned column modifier.
Get the SQL for a character set column modifier.
Get the SQL for a collation column modifier.
Get the SQL for a nullable column modifier.
Get the SQL for an invisible column modifier.
Get the SQL for a default column modifier.
Get the SQL for an "on update" column modifier.
Get the SQL for an auto-increment column modifier.
Get the SQL for a "first" column modifier.
Get the SQL for an "after" column modifier.
Get the SQL for a "comment" column modifier.
© Taylor Otwell
Licensed under the MIT License.
Laravel is a trademark of Taylor Otwell.
https://laravel.com/api/11.x/Illuminate/Database/Schema/Grammars/MariaDbGrammar.html